Bug 25717 - Improve messages for automatic renewal errors
Summary: Improve messages for automatic renewal errors
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Nind
QA Contact: Testopia
URL:
Keywords:
Depends on: 23051
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-11 19:22 UTC by Caroline Cyr La Rose
Modified: 2020-08-03 23:25 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
This change improves the wording and grammar for automatic renewal error messages.
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25717: Improve automatic renewal error messages (1.75 KB, patch)
2020-06-27 00:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 25717: Improve automatic renewal error messages (1.86 KB, patch)
2020-07-02 16:41 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 25717: Improve automatic renewal error messages (1.92 KB, patch)
2020-07-03 12:44 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-06-11 19:22:17 UTC
While translating I noticed a couple of errors in intranet-tmpl/prog/en/includes/renew_strings.inc

The message for auto_too_late is currently "Scheduled for automatic renewal and cannot yet be any more".
I propose something like "Scheduled for automatic renewal and cannot be renewed any more".

Also, the message for auto_too_much_oweing is "Scheduled for automatic renewal" (which is the same message as for auto_renew)
I propose "Scheduled for automatic renewal and cannot be renewed because the patron has too many outstanding charges".
Comment 1 David Nind 2020-06-27 00:56:36 UTC
Created attachment 106356 [details] [review]
Bug 25717: Improve automatic renewal error messages

Improve wording and grammar for automatic renewal error messages.

Test plan:
1. Review the error message changes and make sure they make sense.
Comment 2 Caroline Cyr La Rose 2020-07-02 16:41:44 UTC
Created attachment 106477 [details] [review]
Bug 25717: Improve automatic renewal error messages

Improve wording and grammar for automatic renewal error messages.

Test plan:
1. Review the error message changes and make sure they make sense.

The new message make sense to me.

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 3 Julian Maurice 2020-07-03 12:44:32 UTC
Created attachment 106498 [details] [review]
Bug 25717: Improve automatic renewal error messages

Improve wording and grammar for automatic renewal error messages.

Test plan:
1. Review the error message changes and make sure they make sense.

The new message make sense to me.

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Jonathan Druart 2020-07-20 15:48:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-07-27 17:36:20 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-03 23:25:20 UTC
patch does not apply cleanly on 19.11.x. please rebase if needed.